Draft Label/es

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Label and the translation is 10% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Draft Label.svg Draft Label

Ubicación en el Menú
Draft → Label
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
D L
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta inserta una etiqueta, que es un fragmento de texto con una línea de 2 segmentos y una flecha, en el documento activo. Si se selecciona un objeto o un subelemento (cara, borde o vértice) al iniciar el comando, se puede hacer que la Etiqueta muestre automáticamente un determinado atributo del elemento seleccionado.

If an object or a sub-element (face, edge or vertex) is selected when starting the command, the text can be made to display one or two attributes of the selected element, including position, length, area, volume and material. The text will then be linked to the attributes and will update if their values change.

To insert a text element without an arrow use the Draft Text command instead.

Draft Label example.jpg

Draft Label example.jpg

Utilización

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Optionally select an object or a sub-element (vertex, edge or face) that you want to display attributes of.
  2. There are several ways to invoke the command:
    • Press the Draft Label.svg Draft Label button.
    • Select the Annotation → Draft Label.svg Label option from the menu.
    • Use the keyboard shortcut: D then L.
  3. The Label task panel opens. See Options for more information.
  4. If you have selected an element: select an option from the Label type dropdown list. Additional label types can be set by changing the DatosLabel Type later. See Label types below.
  5. Pick the first point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button. This point indicates the target (arrow head). This can be anywhere, it does not have to be on an element.
  6. Pick the second point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button. This point indicates the start of the horizontal or vertical segment of the leader.
  7. Pick the third point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button. This point indicates the base point of the text.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • The direction of the second segment of the leader determines the alignment of the text. If the segment is horizontal and pointing to the right the text is aligned to the left and vice versa. If the second segment goes vertically up, the text is aligned to the left. If it goes vertically down, the text is aligned to the right.

Properties

See also: Property editor.

A Draft Label object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated:

Data

Label

  • DatosCustom Text (StringList): specifies the contents of the text if DatosLabel Type is Custom. Each item in the list represents a new text line.
  • DatosLabel Type (Enumeration): specifies the type of information displayed by the label. See Label types.
  • DatosPlacement (Placement): specifies the position of the text in the 3D view and, unless DatosStraight Direction is Custom, also of the first leader segment, which is the segment where the text is attached. See Placement.
  • DatosText (StringList): (read-only) specifies the contents of the text that is actually displayed. Each item in the list represents a new text line.

Leader

  • DatosPoints (VectorList): specifies the points of the leader.
  • DatosStraight Direction (Enumeration): specifies the direction of the first leader segment: Custom, Horizontal or Vertical.
  • DatosStraight Distance (Distance): specifies the length of the first leader segment. Only used if DatosStraight Direction is Horizontal or Vertical. If the distance is positive, the leader starts from the right side of the text and the text aligns to the right. Otherwise the leader starts from the left side of the text and the text aligns to the left.

Target

  • DatosTarget (LinkSub): specifies the object and optional subelement the label is linked to.
  • DatosTarget Point (Vector): specifies the position of the tip of the leader, which is where the arrow is attached.

Label types

  • Custom: displays the contents of DatosCustom Text.
  • Name: displays the internal name of the target object. The internal name is assigned when an object is created and remains fixed throughout the existence of the object.
  • Label: displays the label of the target object. The label of an object can be changed by the user.
  • Position: displays the coordinates of the base point of the target object, of the target vertex, or of the center of mass of the target subelement, if applicable.
  • Length: displays the length of the target object or subelement, if applicable.
  • Area: displays the area of the target object or subelement, if applicable.
  • Volume: displays the volume of the target object, if applicable.
  • Tag: displays the Tag attribute of the target object, if applicable. Objects created with the Arch Workbench can have this attribute.
  • Material: displays the label of the material of the target object, if applicable.
  • Label + Position
  • Label + Length
  • Label + Area
  • Label + Volume
  • Label + Material

View

Annotation

  • VistaAnnotation Style (Enumeration): specifies the annotation style applied to the label. See Draft AnnotationStyleEditor.
  • VistaScale Multiplier (Float): specifies the general scaling factor applied to the label.

Display Options

  • VistaDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by the DatosPlacement of the label. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

  • VistaArrow Size (Length): specifies the size of the symbol displayed at the tip of the leader.
  • VistaArrow Type (Enumeration): specifies the type of symbol displayed at the tip of the leader, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • VistaFrame (Enumeration): specifies what type of frame is drawn around the text. The current options are None or Rectangle.
  • VistaLine (Bool): specifies whether to display the leader line. If it is false only the arrow and the text are displayed.
  • VistaLine Color (Color): specifies the color of the leader and the arrow.
  • VistaLine Width (Float): specifies the width of the leader.

Text

  • VistaJustification (Enumeration): specifies the horizontal alignment of the text: Left, Center or Right. Only used if DatosStraight Direction is Custom. Otherwise the horizontal alignment is based on the sign (positive or negative) of DatosStraight Distance.
  • VistaLine Spacing (Float): specifies the factor applied to the default line height of the text.
  • VistaMax Chars (Integer): specifies the maximum number of characters on each line of the text.
  • VistaText Alignment (Enumeration): specifies the vertical alignment of the text: Top, Middle or Bottom.
  • VistaText Color (Color): specifies the color of the text.
  • VistaText Font (Font): specifies the font used to draw the text. It can be a font name, such as Arial, a default style such as sans, serif or mono, a family such as Arial,Helvetica,sans, or a name with a style such as Arial:Bold. If the given font is not found on the system, a default font is used instead.
  • VistaFont Size (Length): specifies the size of the letters. The text can be invisible in the 3D view if this value is very small.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Label use the make_label method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeLabel method.

label = make_label(target_point=App.Vector(0, 0, 0),
                   placement=App.Vector(30, 30, 0),
                   target_object=None, subelements=None,
                   label_type="Custom", custom_text="Label",
                   direction="Horizontal", distance=-10,
                   points=None)

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(4000, 1000)
doc.recompute()

p1 = App.Vector(-200, 1000, 0)
place1 = App.Placement(App.Vector(-1000, 1300, 0), App.Rotation())

label1 = Draft.make_label(p1, place1, target_object=rectangle, distance=500, label_type="Label")
label1.ViewObject.TextSize = 200

p2 = App.Vector(-200, 0, 0)
place2 = App.Placement(App.Vector(-1000, -300, 0), App.Rotation())

label2 = Draft.make_label(p2, place2, target_object=rectangle, distance=500, label_type="Custom",
                          custom_text="Beware of the sharp edges")
label2.ViewObject.TextSize = 200

p3 = App.Vector(1000, 1200, 0)
place3 = App.Placement(App.Vector(2000, 1800, 0), App.Rotation())

label3 = Draft.make_label(p3, place3, target_object=rectangle, distance=-500, label_type="Area")
label3.ViewObject.TextSize = 200

doc.recompute()